Bug 62600 - [RFE] incorrect error on filename if mouse problem
Summary: [RFE] incorrect error on filename if mouse problem
Status: CLOSED WONTFIX
Alias: None
Product: Red Hat Linux
Classification: Retired
Component: ImageMagick (Show other bugs)
(Show other bugs)
Version: 7.3
Hardware: i386 Linux
low
medium
Target Milestone: ---
Assignee: Jonathan Blandford
QA Contact:
URL:
Whiteboard:
Keywords: FutureFeature
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2002-04-02 22:47 UTC by James Manning
Modified: 2013-04-02 04:16 UTC (History)
1 user (show)

Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-08-18 22:04:56 UTC
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

Description James Manning 2002-04-02 22:47:29 UTC
pretty simple - if you keep the mouse busy (like selecting a menu or 
something) when import runs and it has a problem with it, you'll get 
an incorrect error about missing a filname. 
 
With mouse busy: 
 
jmm@jmm:/tmp> sleep 3;import foo.png 
import: Unable to grab the mouse. 
import: Unable to read X window image (). 
import: Missing an image file name. 
jmm@jmm:/tmp> 
 
Without mouse busy: 
 
jmm@jmm:/tmp> sleep 3;import foo.png 
jmm@jmm:/tmp> 
 
I'd expect the first two about mouse and X window image, just not the 
missing filename

Comment 1 James Manning 2002-05-17 18:06:45 UTC
still in 7.3

jmm@jmm /tmp> sleep 3;import foo.png
import: Unable to grab the mouse.
import: Unable to read X window image ().
import: Missing an image file name.
jmm@jmm /tmp> rpm -qf $(which import)
ImageMagick-5.4.3.11-1

Comment 2 Jonathan Blandford 2004-08-18 22:04:56 UTC
This isn't too surprising.  I don't think it's worth fixing, though.


Note You need to log in before you can comment on or make changes to this bug.